Subject: Re: cross-compiling & debugging embedded-linux apps

From: dony <[email-masked]>
Date: Fri, 14 Jan 2000 17:27:59 +0800

Kai Ruottu wrote:

> Brendan J Simon wrote:
> >
> > Kai Ruottu wrote:
> >
> > > 1. Using 'strings' to see the 'hard-wired' name of the dynamic linker in
> > >    the executable:
> > >
> > >         E:\usr\local\samples>strings tst_ppc-linux.x | more
> > >         /lib/ld.so.1    <------- !!!
> > >         __gmon_start__
> > >         libc.so.6
> >
> > The output of "powerpc-linux-strings bjs1-shared" looks OK to me.
> > $ powerpc-linux-strings bjs1-shared
> > _DYNAMIC
> > _GLOBAL_OFFSET_TABLE_
> > __gmon_start__
>
>  When your output from 'strings' didn't show the 'ld.so.1' (didn't it really?)
> I tried removing the '--dynamic-linker xxxxx' from my specs, and got then :

Now I have a similar problem with the dynamic linker "ld.so.1". Can you tell me
how can I remove the "--dynamic-linker XXXX" and set the default dynamic-linker to other
directories ,ie, /syslib/ld.so.1, instead of /lib/ld.so.1?

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/